Bug 548903 - "comm_open: socket failure: (97) Address family not supported by protocol" if IPv6 disabled
Summary: "comm_open: socket failure: (97) Address family not supported by protocol" if...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: squid
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jiri Skala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 556397 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-19 12:43 UTC by Frantisek Hanzlik
Modified: 2014-11-09 22:32 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-06-01 18:21:08 UTC


Attachments (Terms of Use)
patch fixing this issue (1.78 KB, patch)
2010-04-02 14:45 UTC, Jiri Skala
no flags Details | Diff

Description Frantisek Hanzlik 2009-12-19 12:43:28 UTC
Description of problem:
With IPv6 stack disabled ("alias net-pf-10 off" + "install ipv6 :" in /etc/modprobe.d/d6.conf) squid isn't able serve incomming requests.
cache.log is filled with entries as:

2009/12/19 12:43:16| comm_open: socket failure: (97) Address family not supported by protocol
2009/12/19 12:44:28| comm_udp_sendto: FD 8, (family=10) 127.0.0.1:53: (97) Address family not supported by protocol
2009/12/19 12:44:28| idnsSendQuery: FD 8: sendto: (97) Address family not supported by protocol

and access.log indices return code 500 (Internal Server Error):
1261212132.722      1 192.168.0.2 TCP_MISS/500 0 CONNECT www.update.microsoft.com:443 - NONE/- -

Response to http client is:
ERROR The requested URL could not be retrieved
Socket Failure
(97) Address family not supported by protocol

Version-Release number of selected component (if applicable):
both 3.1.0.14 and 3.1.0.15 too

Additional info:

- Loading ipv6.ko kernel module solves this problem and squid works fine, but
why need IPv6 stack on IPv4-only sites, right?
  

- In Fedora 12 squid 3.1.x RPM versions isn't FAQ docs, what is probably bad.

Comment 1 Jiri Skala 2010-01-18 09:26:00 UTC
*** Bug 556397 has been marked as a duplicate of this bug. ***

Comment 2 Jan ONDREJ 2010-03-01 12:56:39 UTC
Same problem for me. With intercept or transparent mode I can't start squid 3.1.0.16-6 without manually specifying all IP addresses on my server.

This helped me to start a working squid:
http_port 127.0.0.1:3128 intercept   
http_port 192.168.1.100:3128 intercept
http_port 192.168.2.100:3128 intercept
http_port 192.168.3.100:3128 intercept
http_port 192.168.4.100:3128 intercept
http_port 192.168.5.100:3128 intercept
http_port 192.168.6.100:3128 intercept
http_port 192.168.7.100:3128 intercept

but so many lines to define transparent proxy. :(
Is there any other way to allow transparent proxy on servers without IPv6?
Btw, 0.0.0.0:3128 does not work too. :(

Comment 3 Henrik Nordström 2010-03-01 15:03:30 UTC
Your problem is a different one. See Bug 569120 from where you also find the pending update to fix that problem.

Comment 4 Muzi 2010-04-01 19:22:22 UTC
Same problem for me on Fedora-12, squid-3.1.0.17-3.fc12.i686, 

comm_open: socket failure: (97) Address family not
supported by protocol

Can anyone update about this what is the expected date for fix, or ensure also can manually compilation from source will resolve the problem. ?

Thanks
Muzi

Comment 5 Ondrej Vasik 2010-04-02 07:42:02 UTC
Related discussion is e.g. http://n4.nabble.com/Squid-3-1-comm-open-socket-failure-97-Address-family-not-supported-by-protocol-td1039454.html#a1039454 ... they say they are working on better IPv6 support in 3.HEAD, but still not stable enough for 3.1. Maybe temporary --disable-ipv6 configure option is the better way - as squid probably fallbacks into ipv4 anyway at the moment.

Comment 6 Jiri Skala 2010-04-02 14:45:04 UTC
Created attachment 404190 [details]
patch fixing this issue

Comment 7 Fedora Update System 2010-04-02 14:53:20 UTC
squid-3.1.1-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/squid-3.1.1-2.fc12

Comment 8 Jiri Skala 2010-04-02 14:54:31 UTC
Upstream works on splitting IPv4/IPv6 hybrid sockets. The patch fixes current implementation.

Comment 9 Fedora Update System 2010-04-03 04:36:30 UTC
squid-3.1.1-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update squid'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/squid-3.1.1-2.fc12

Comment 10 Muzi 2010-04-21 20:00:13 UTC
I tested the version squid-3.1.1-2.fc12 on FC-12, squid working on ipv4 for just a little time and then hangs the requests, here below detail.

1) I updated the squid to this version and start squid service, i open just 3 sites and squid hangs the connection request, nothing appear in access, cache logs. and also squid restart not successful

2) I enabled the ipv6 and reboot machine. then start squid and its working f9 for opening 10+ sites.

3) I disabled again the ipv6 and reboot machine, then start squid, its working f9 approxy 15-20 mins by opening 15+ sites, then again hangs the requests, nothing appear in access & cache logs. I do testing from two different client machines and on squid server machine, i also verify the tcpdump which shows my request enters for squid port. but squid not processing it, also restart squid not successful.

Kindly test it fully, its not satisfactory for disable ipv6.

Thanks
Muzi

Comment 11 Muzi 2010-04-28 18:50:54 UTC
Any update/fix regarding above testing ?, as this version works if disable ipv6 but it hangs after some time as mentioned above in detail.

Thanks
Muzi

Comment 12 Fedora Update System 2010-05-14 06:45:38 UTC
squid-3.1.3-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/squid-3.1.3-2.fc13

Comment 13 Fedora Update System 2010-05-14 06:47:44 UTC
squid-3.1.3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/squid-3.1.3-2.fc12

Comment 14 Fedora Update System 2010-05-15 20:19:14 UTC
squid-3.1.3-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update squid'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/squid-3.1.3-2.fc12

Comment 15 Fedora Update System 2010-05-15 20:38:29 UTC
squid-3.1.3-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update squid'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/squid-3.1.3-2.fc13

Comment 16 Fedora Update System 2010-06-01 18:20:46 UTC
squid-3.1.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-06-01 18:25:21 UTC
squid-3.1.3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Muzi 2010-06-02 20:46:58 UTC
Squid version squid-3.1.4-1.fc12, works fine for me now for enable only IPV4. I installed from FC testing repo. Kindly push in to the stable FC repo. No connections hang/timeout, as i tested previous version and mention results in comments 10 & 11.

Thanks
Muzi

Comment 19 Henrik Nordström 2010-06-02 22:10:21 UTC
Thanks for testing and confirming the new fix for this problem.

If you can please give your feedback directly on the updates. You find the current updates for Squid here:

https://admin.fedoraproject.org/updates/squid/

Note that the 3.1.4-1 update has been replaced by 3.1.4-2.

Comment 20 Muzi 2010-06-03 21:56:16 UTC
I update the fedora admin url for my comments :)

https://admin.fedoraproject.org/updates/squid/

Well i tested also the currently stable version 3.1.3-2, its also works f9, related to IPV6.

Thanks
Muzi

Comment 21 Fedora Update System 2010-08-21 19:29:36 UTC
squid-3.1.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/squid-3.1.6-1.fc12


Note You need to log in before you can comment on or make changes to this bug.